---
apiVersion: v1
kind: Service
metadata:
  labels:
    app: content
  name: content
  namespace: edoc2
spec:
  ports:
  - name: content
    port: 34762
    targetPort: 34762
    protocol: TCP
  selector:
    app: content
  type: ClusterIP
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: content
  namespace: edoc2
  labels:
    app: content
    k8s-app: content
spec:
  replicas: 1
  revisionHistoryLimit: 10
  selector:
    matchLabels:
      app: content
  template:
    metadata:
      labels:
        app: content
    spec:
      hostname: content
      terminationGracePeriodSeconds: 30
      containers:
      - name: content-container
        image: registry.edoc2.com:5000/edoc2v5/content:ecm-v6.5.2.2
        imagePullPolicy: IfNotPresent
        envFrom:
        - configMapRef:
            name: region-envfile
        securityContext:
          capabilities:
            add: ["SYS_PTRACE"]
        ports:
        - name: content
          containerPort: 34762
        resources:
          requests:
            cpu: 1600m
            memory: 3Gi
          limits:
            cpu: 1650m
            memory: 3.2Gi
        securityContext:
          capabilities:
            add: ["SYS_PTRACE"]
        #volumeMounts:
        #- mountPath: /edoc2Docs
        #  name: content-app-volume
      restartPolicy: Always
      #volumes:
      #- name: content-app-volume
      #  nfs:
      #    server: 127.0.0.1
      #    path: /data/nas/edoc2Docs
      nodeSelector:
        node.drive.nodelabels: InDrive
